ZAP_VMA_PTES(9)

NAME
zap_vma_ptes - remove ptes mapping the vma

SYNOPSIS

int zap_vma_ptes(struct vm_area_struct * vma, unsigned long address, unsigned long size);

ARGUMENTS

vma
    vm_area_struct holding ptes to be zapped

address
    starting address of pages to zap

size
    number of bytes to zap

DESCRIPTION

This function only unmaps ptes assigned to VM_PFNMAP vmas.

The entire address range must be fully contained within the vma.

Returns 0 if successful.

COPYRIGHT